Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 16 Dec 2022 12:23:26 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I made a purchase sometime now the size was too big so I had to change it so I called the helpline for guidance and they told me what to do up till now no one has shown up or even a call that they will come for the return purchase am still waiting and I called again the lady who picked up had to re-order another return purchase for me again this is bad to keep me waiting but if I purchase another item it will be delivered why should it be so the duration the for return items is too long so please do something about it. Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5470002